Subject: Plastic Card

From: [email-masked] (Jian-ping Tang)
Date: Tue, 21 Dec 93 17:50:40 CST

Hi, there.  Has everyone who got PR approved gotten his plastic card from INS?
I got my approval notice on Oct. 1.  But I have not receive the plastic card 
yet.   In addition, I have been told by INS (Northern Center) that my 
application (I-824) for my son who is still in China has been approved and
the corresponding documents (cable) were send to GuangZhou on Nov. 2.  However, I have not heard anything since then.  I just wondered that if someone has 
similar experience like me?  What should I do to get things moving? Any comments would be appreciated.